IRFRAMETTY(4) | Device Drivers Manual | IRFRAMETTY(4)

# NAME

`irframetty` — IrDA frame over serial line driver

# SYNOPSIS

`pseudo-device irframetty`

`#include <dev/irdaio.h>`

# DESCRIPTION

The `irframetty` driver provides a tty(4) line discipline to send and receive IrDA frames over a serial line via an IrDA dongle.

Access to the frames is via the irframe(4) driver.

Different dongles require different handling. The connected dongle type can be set with ioctl(2) calls:

`IRFRAMETTY_SET_DONGLE` (int)
  Set the dongle type. See the include file for possible dongles.
`IRFRAMETTY_GET_DONGLE` (int)
  Get the dongle type.
`IRFRAMETTY_GET_DEVICE` (int)
  Get the number of the irframe(4) device that must be used to access the frames.

# SEE ALSO

irframe(4), irdaattach(8)

# HISTORY

The `irframetty` driver appeared in NetBSD 1.6.

December 3, 2001 | NetBSD 11.0